#!/bin/sh
pen=300.00

name=abc
if test -f "$name.time"; then
    rm $name.time
fi

while read line
do
  bench=`echo $line | awk -F ' ' '{print $3}'`
  time=0
  err=${bench}_verify.err
  status=`awk '/status:/{print $NF}' $err`
  case x"$status" in
    xok)
       time=`awk '/real:/{printf "%.2f\n", $(NF -1)}' $err`
       ;;
    *)
     time=$pen
       ;;
  esac


  echo $time >> $name.time
done < ../benchmarks
