#!/bin/bash


to=300.00
pen=400.00

# AMULET
name=teluma
if test -f "$name.time"; then
    rm $name.time
fi


while read line
do
  bench=`echo $line | awk -F ' ' '{print $3}'`
  totaltime=0

  log=${bench}_verify_aig.log
  err=${bench}_verify_aig.err

  status=`awk '/status:/{print $NF}' $err`
  if [ "$status" != "ok" ]
  then
     totaltime=$to
  else
    string=`grep " CORRECT" $log`;
    if [ -z "$string" ]
    then
       totaltime=$pen
    else
       totaltime=`awk '/real:/{printf "%.2f\n", $(NF -1)}' $err`
    fi

  fi

  echo $totaltime  >> $name.time

done < ../benchmarks
